.ring__container {
    max-width: 700px;
    margin: 0 auto;
    min-height: 600px;
    position: relative;
}

.ring__container .ring {
    opacity: 0;
    -webkit-animation: circle-position 0.45s cubic-bezier(0.165, 0.84, 0.44, 1) forwards;
    -moz-animation: circle-position 0.45s cubic-bezier(0.165, 0.84, 0.44, 1) forwards;
    -ms-animation: circle-position 0.45s cubic-bezier(0.165, 0.84, 0.44, 1) forwards;
    animation: circle-position 0.45s cubic-bezier(0.165, 0.84, 0.44, 1) forwards;
}

.rfull {
    width: 100vw;
    height: 100vh;
    overflow: hidden;
}

.ring__container .ring:after {
    content: "";
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    box-shadow: 0 0 26px #ffc107;
    border-radius: 50%;
    opacity: 0;
    -webkit-transform: scale(0.88);
    -ms-transform: scale(0.88);
    transform: scale(0.88);
}

@keyframes ring-shadow {
    50% {
        opacity: 0.5;
    }
}

.ring__container .ring.disabled {
    pointer-events: none;
}

.ring__container .ring.disabled .ring__circles,
.ring__container .ring.disabled .ring__text {
    opacity: 0.2;
}

.ring__container .ring:hover:before {
    -webkit-animation: ring-pulse 0.6s forwards;
    -moz-animation: ring-pulse 0.6s forwards;
    -ms-animation: ring-pulse 0.6s forwards;
    animation: ring-pulse 0.6s forwards;
}

.ring__container .ring:hover:after {
    -webkit-animation: ring-shadow 0.6s forwards;
    -moz-animation: ring-shadow 0.6s forwards;
    -ms-animation: ring-shadow 0.6s forwards;
    animation: ring-shadow 0.6s forwards;
}

.ring__container .ring:hover .ring__circles span>span {
    -webkit-transform: translate(0) scale(0.93) !important;
    -ms-transform: translate(0) scale(0.93) !important;
    transform: translate(0) scale(0.93) !important;
}

.ring__container .ring:nth-child(1) {
    width: 300px;
    height: 300px;
    -webkit-transform: translate(-40px, -40px);
    -ms-transform: translate(-40px, -40px);
    transform: translate(-40px, -40px);
    -webkit-animation-delay: 0.1s;
    -moz-animation-delay: 0.1s;
    -ms-animation-delay: 0.1s;
    animation-delay: 0.1s;
    position: absolute;
    left: -25px;
}

.ring__container .ring:nth-child(2) {
    width: 250px;
    height: 250px;
    -webkit-transform: translate(40px, -40px);
    -ms-transform: translate(40px, -40px);
    transform: translate(40px, -40px);
    -webkit-animation-delay: 0.15s;
    -moz-animation-delay: 0.15s;
    -ms-animation-delay: 0.15s;
    animation-delay: 0.15s;
    position: absolute;
    left: 435px;
    top: 205px;
}

.ring__container .ring:nth-child(3) {
    width: 225px;
    height: 225px;
    -webkit-transform: translate(40px, 40px);
    -ms-transform: translate(40px, 40px);
    transform: translate(40px, 40px);
    -webkit-animation-delay: 0.2s;
    -moz-animation-delay: 0.2s;
    -ms-animation-delay: 0.2s;
    animation-delay: 0.2s;
    position: absolute;
    left: 296px;
}

.ring__container .ring:nth-child(4) {
    width: 175px;
    height: 175px;
    -webkit-transform: translate(0, 40px);
    -ms-transform: translate(0, 40px);
    transform: translate(0, 40px);
    -webkit-animation-delay: 0.25s;
    -moz-animation-delay: 0.25s;
    -ms-animation-delay: 0.25s;
    animation-delay: 0.25s;
    position: absolute;
    left: 249px;
    top: 235px;
}

.ring__container .ring:nth-child(5) {
    width: 140px;
    height: 140px;
    -webkit-transform: translate(-40px, 40px);
    -ms-transform: translate(-40px, 40px);
    transform: translate(-40px, 40px);
    -webkit-animation-delay: 0.3s;
    -moz-animation-delay: 0.3s;
    -ms-animation-delay: 0.3s;
    animation-delay: 0.3s;
    position: absolute;
    left: 539px;
    top: 50px;
}

.ring__container .ring:nth-child(6) {
    width: 200px;
    height: 200px;
    -webkit-transform: translate(-40px, 0);
    -ms-transform: translate(-40px, 0);
    transform: translate(-40px, 0);
    -webkit-animation-delay: 0.35s;
    -moz-animation-delay: 0.35s;
    -ms-animation-delay: 0.35s;
    animation-delay: 0.35s;
    position: absolute;
    left: 53px;
    top: 319px;
}

.ring__container.ring-num-5 .ring:nth-child(4) {
    width: 200px;
    height: 200px;
}

.ring__container.ring-num-5 .ring:nth-child(5) {}

.ring {
    position: absolute;
    /*@include flex;
     @include align-items(center);
     @include justify-content(center);*/
    display: table;
    -webkit-transition: 0.45s cubic-bezier(0.165, 0.84, 0.44, 1);
    -ms-transition: 0.45s cubic-bezier(0.165, 0.84, 0.44, 1);
    transition: 0.45s cubic-bezier(0.165, 0.84, 0.44, 1);
    cursor: pointer;
}

.ring:before {
    content: "";
    position: absolute;
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
    border: 1px solid #fff;
    border-radius: 100%;
    -webkit-transform: scale(0.78);
    -ms-transform: scale(0.78);
    transform: scale(0.78);
    opacity: 0;
}

@-webkit-keyframes ring-pulse {
    0% {
        opacity: 0;
    }
    1% {
        opacity: 1;
    }
    100% {
        opacity: 0;
        -webkit-transform: scale(1);
        -ms-transform: scale(1);
        transform: scale(1);
    }
}

@-moz-keyframes ring-pulse {
    0% {
        opacity: 0;
    }
    1% {
        opacity: 1;
    }
    100% {
        opacity: 0;
        -webkit-transform: scale(1);
        -ms-transform: scale(1);
        transform: scale(1);
    }
}

@keyframes ring-pulse {
    0% {
        opacity: 0;
    }
    1% {
        opacity: 1;
    }
    100% {
        opacity: 0;
        -webkit-transform: scale(1);
        -ms-transform: scale(1);
        transform: scale(1);
    }
}

@-webkit-keyframes ring-pulse-two {
    0% {
        opacity: 0;
    }
    1% {
        opacity: 1;
    }
    100% {
        opacity: 0;
        -webkit-transform: scale(1.2);
        -ms-transform: scale(1.2);
        transform: scale(1.2);
    }
}

@-moz-keyframes ring-pulse-two {
    0% {
        opacity: 0;
    }
    1% {
        opacity: 1;
    }
    100% {
        opacity: 0;
        -webkit-transform: scale(1.2);
        -ms-transform: scale(1.2);
        transform: scale(1.2);
    }
}

@keyframes ring-pulse-two {
    0% {
        opacity: 0;
    }
    1% {
        opacity: 1;
    }
    100% {
        opacity: 0;
        -webkit-transform: scale(1.2);
        -ms-transform: scale(1.2);
        transform: scale(1.2);
    }
}

.ring .ring__text {
    color: #fff;
    text-align: center;
    text-transform: uppercase;
    font-size: 0.857rem;
    letter-spacing: 1px;
    font-weight: 300;
    line-height: normal;
    display: table-cell;
    vertical-align: middle;
}

.ring .ring__text span,
.ring .ring__text i {
    display: block;
}

.ring .ring__text span {
    margin-top: 10px;
    font-size: 20px;
}

.ring .ring__text i {
    font-size: 48px;
    -webkit-transition: 0.45s cubic-bezier(0.165, 0.84, 0.44, 1);
    -ms-transition: 0.45s cubic-bezier(0.165, 0.84, 0.44, 1);
    transition: 0.45s cubic-bezier(0.165, 0.84, 0.44, 1);
}

.ring .ring__circles {
    position: absolute;
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
    z-index: -1;
}

.ring .ring__circles span {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.ring .ring__circles>span {
    -webkit-animation: rotate360 linear infinite;
    -moz-animation: rotate360 linear infinite;
    -ms-animation: rotate360 linear infinite;
    animation: rotate360 linear infinite;
}

.ring .ring__circles>span>span {
    -webkit-transition: 0.45s cubic-bezier(0.165, 0.84, 0.44, 1);
    -ms-transition: 0.45s cubic-bezier(0.165, 0.84, 0.44, 1);
    transition: 0.45s cubic-bezier(0.165, 0.84, 0.44, 1);
}

.ring:not(.disabled) .ring__circles span:nth-child(1)>span {
    -webkit-transform: translate(-4%, 0);
    -ms-transform: translate(-4%, 0);
    transform: translate(-4%, 0);
}

.ring:not(.disabled) .ring__circles span:nth-child(2)>span {
    -webkit-transform: translate(3%, -2%);
    -ms-transform: translate(3%, -2%);
    transform: translate(3%, -2%);
    opacity: 0.6;
}

.ring:not(.disabled) .ring__circles span:nth-child(3)>span {
    -webkit-transform: translate(3%, -3%);
    -ms-transform: translate(3%, -3%);
    transform: translate(3%, -3%);
    opacity: 0.8;
}

.ring:not(.disabled) .ring__circles span:nth-child(4)>span {
    -webkit-transform: translate(2%, 1%);
    -ms-transform: translate(2%, 1%);
    transform: translate(2%, 1%);
    opacity: 0.5;
}

.ring:not(.disabled) .ring__circles span:nth-child(5)>span {
    -webkit-transform: translate(-4%, -2%);
    -ms-transform: translate(-4%, -2%);
    transform: translate(-4%, -2%);
    opacity: 0.4;
}

.ring:nth-child(1) .ring__circles>span:nth-child(1) {
    -webkit-animation-duration: 2.8s;
    -moz-animation-duration: 2.8s;
    -ms-animation-duration: 2.8s;
    animation-duration: 2.8s;
}

.ring:nth-child(1) .ring__circles>span:nth-child(2) {
    -webkit-animation-delay: 0.2s;
    -moz-animation-delay: 0.2s;
    -ms-animation-delay: 0.2s;
    animation-delay: 0.2s;
    -webkit-animation-duration: 2.5s;
    -moz-animation-duration: 2.5s;
    -ms-animation-duration: 2.5s;
    animation-duration: 2.5s;
}

.ring:nth-child(1) .ring__circles>span:nth-child(3) {
    -webkit-animation-direction: reverse;
    -moz-animation-direction: reverse;
    -ms-animation-direction: reverse;
    animation-direction: reverse;
    -webkit-animation-delay: 0.4s;
    -moz-animation-delay: 0.4s;
    -ms-animation-delay: 0.4s;
    animation-delay: 0.4s;
    -webkit-animation-duration: 4.2s;
    -moz-animation-duration: 4.2s;
    -ms-animation-duration: 4.2s;
    animation-duration: 4.2s;
}

.ring:nth-child(1) .ring__circles>span:nth-child(4) {
    -webkit-animation-delay: 0.6s;
    -moz-animation-delay: 0.6s;
    -ms-animation-delay: 0.6s;
    animation-delay: 0.6s;
    -webkit-animation-duration: 3.9s;
    -moz-animation-duration: 3.9s;
    -ms-animation-duration: 3.9s;
    animation-duration: 3.9s;
}

.ring:nth-child(1) .ring__circles>span:nth-child(5) {
    -webkit-animation-direction: reverse;
    -moz-animation-direction: reverse;
    -ms-animation-direction: reverse;
    animation-direction: reverse;
    -webkit-animation-delay: 0.8s;
    -moz-animation-delay: 0.8s;
    -ms-animation-delay: 0.8s;
    animation-delay: 0.8s;
    -webkit-animation-duration: 3.7s;
    -moz-animation-duration: 3.7s;
    -ms-animation-duration: 3.7s;
    animation-duration: 3.7s;
}

.ring:nth-child(2) .ring__circles>span:nth-child(1) {
    -webkit-animation-duration: 3.6s;
    -moz-animation-duration: 3.6s;
    -ms-animation-duration: 3.6s;
    animation-duration: 3.6s;
}

.ring:nth-child(2) .ring__circles>span:nth-child(2) {
    -webkit-animation-direction: reverse;
    -moz-animation-direction: reverse;
    -ms-animation-direction: reverse;
    animation-direction: reverse;
    -webkit-animation-delay: 0.3s;
    -moz-animation-delay: 0.3s;
    -ms-animation-delay: 0.3s;
    animation-delay: 0.3s;
    -webkit-animation-duration: 3.8s;
    -moz-animation-duration: 3.8s;
    -ms-animation-duration: 3.8s;
    animation-duration: 3.8s;
}

.ring:nth-child(2) .ring__circles>span:nth-child(3) {
    -webkit-animation-delay: 0.5s;
    -moz-animation-delay: 0.5s;
    -ms-animation-delay: 0.5s;
    animation-delay: 0.5s;
    -webkit-animation-duration: 4.1s;
    -moz-animation-duration: 4.1s;
    -ms-animation-duration: 4.1s;
    animation-duration: 4.1s;
}

.ring:nth-child(2) .ring__circles>span:nth-child(4) {
    -webkit-animation-direction: reverse;
    -moz-animation-direction: reverse;
    -ms-animation-direction: reverse;
    animation-direction: reverse;
    -webkit-animation-delay: 0.7s;
    -moz-animation-delay: 0.7s;
    -ms-animation-delay: 0.7s;
    animation-delay: 0.7s;
    -webkit-animation-duration: 4.4s;
    -moz-animation-duration: 4.4s;
    -ms-animation-duration: 4.4s;
    animation-duration: 4.4s;
}

.ring:nth-child(2) .ring__circles>span:nth-child(5) {
    -webkit-animation-delay: 0.9s;
    -moz-animation-delay: 0.9s;
    -ms-animation-delay: 0.9s;
    animation-delay: 0.9s;
    -webkit-animation-duration: 4.7s;
    -moz-animation-duration: 4.7s;
    -ms-animation-duration: 4.7s;
    animation-duration: 4.7s;
}

.ring:nth-child(3) .ring__circles>span:nth-child(1) {
    -webkit-animation-duration: 4.4s;
    -moz-animation-duration: 4.4s;
    -ms-animation-duration: 4.4s;
    animation-duration: 4.4s;
}

.ring:nth-child(3) .ring__circles>span:nth-child(2) {
    -webkit-animation-delay: 0.4s;
    -moz-animation-delay: 0.4s;
    -ms-animation-delay: 0.4s;
    animation-delay: 0.4s;
    -webkit-animation-duration: 4.2s;
    -moz-animation-duration: 4.2s;
    -ms-animation-duration: 4.2s;
    animation-duration: 4.2s;
}

.ring:nth-child(3) .ring__circles>span:nth-child(3) {
    -webkit-animation-direction: reverse;
    -moz-animation-direction: reverse;
    -ms-animation-direction: reverse;
    animation-direction: reverse;
    -webkit-animation-delay: 0.6s;
    -moz-animation-delay: 0.6s;
    -ms-animation-delay: 0.6s;
    animation-delay: 0.6s;
    -webkit-animation-duration: 3.9s;
    -moz-animation-duration: 3.9s;
    -ms-animation-duration: 3.9s;
    animation-duration: 3.9s;
}

.ring:nth-child(3) .ring__circles>span:nth-child(4) {
    -webkit-animation-delay: 0.8s;
    -moz-animation-delay: 0.8s;
    -ms-animation-delay: 0.8s;
    animation-delay: 0.8s;
    -webkit-animation-duration: 3.6s;
    -moz-animation-duration: 3.6s;
    -ms-animation-duration: 3.6s;
    animation-duration: 3.6s;
}

.ring:nth-child(3) .ring__circles>span:nth-child(5) {
    -webkit-animation-direction: reverse;
    -moz-animation-direction: reverse;
    -ms-animation-direction: reverse;
    animation-direction: reverse;
    -webkit-animation-delay: 1s;
    -moz-animation-delay: 1s;
    -ms-animation-delay: 1s;
    animation-delay: 1s;
    -webkit-animation-duration: 3.3s;
    -moz-animation-duration: 3.3s;
    -ms-animation-duration: 3.3s;
    animation-duration: 3.3s;
}

.ring:nth-child(4) .ring__circles>span:nth-child(1) {
    -webkit-animation-duration: 4.8s;
    -moz-animation-duration: 4.8s;
    -ms-animation-duration: 4.8s;
    animation-duration: 4.8s;
}

.ring:nth-child(4) .ring__circles>span:nth-child(2) {
    -webkit-animation-direction: reverse;
    -moz-animation-direction: reverse;
    -ms-animation-direction: reverse;
    animation-direction: reverse;
    -webkit-animation-delay: 0.5s;
    -moz-animation-delay: 0.5s;
    -ms-animation-delay: 0.5s;
    animation-delay: 0.5s;
    -webkit-animation-duration: 4.5s;
    -moz-animation-duration: 4.5s;
    -ms-animation-duration: 4.5s;
    animation-duration: 4.5s;
}

.ring:nth-child(4) .ring__circles>span:nth-child(3) {
    -webkit-animation-delay: 0.7s;
    -moz-animation-delay: 0.7s;
    -ms-animation-delay: 0.7s;
    animation-delay: 0.7s;
    -webkit-animation-duration: 4.2s;
    -moz-animation-duration: 4.2s;
    -ms-animation-duration: 4.2s;
    animation-duration: 4.2s;
}

.ring:nth-child(4) .ring__circles>span:nth-child(4) {
    -webkit-animation-direction: reverse;
    -moz-animation-direction: reverse;
    -ms-animation-direction: reverse;
    animation-direction: reverse;
    -webkit-animation-delay: 0.9s;
    -moz-animation-delay: 0.9s;
    -ms-animation-delay: 0.9s;
    animation-delay: 0.9s;
    -webkit-animation-duration: 3.9s;
    -moz-animation-duration: 3.9s;
    -ms-animation-duration: 3.9s;
    animation-duration: 3.9s;
}

.ring:nth-child(4) .ring__circles>span:nth-child(5) {
    -webkit-animation-delay: 1.1s;
    -moz-animation-delay: 1.1s;
    -ms-animation-delay: 1.1s;
    animation-delay: 1.1s;
    -webkit-animation-duration: 3.6s;
    -moz-animation-duration: 3.6s;
    -ms-animation-duration: 3.6s;
    animation-duration: 3.6s;
}

.ring:nth-child(5) .ring__circles>span:nth-child(1) {
    -webkit-animation-duration: 4.1s;
    -moz-animation-duration: 4.1s;
    -ms-animation-duration: 4.1s;
    animation-duration: 4.1s;
}

.ring:nth-child(5) .ring__circles>span:nth-child(2) {
    -webkit-animation-delay: 0.6s;
    -moz-animation-delay: 0.6s;
    -ms-animation-delay: 0.6s;
    animation-delay: 0.6s;
    -webkit-animation-duration: 4s;
    -moz-animation-duration: 4s;
    -ms-animation-duration: 4s;
    animation-duration: 4s;
}

.ring:nth-child(5) .ring__circles>span:nth-child(3) {
    -webkit-animation-direction: reverse;
    -moz-animation-direction: reverse;
    -ms-animation-direction: reverse;
    animation-direction: reverse;
    -webkit-animation-delay: 0.8s;
    -moz-animation-delay: 0.8s;
    -ms-animation-delay: 0.8s;
    animation-delay: 0.8s;
    -webkit-animation-duration: 3.9s;
    -moz-animation-duration: 3.9s;
    -ms-animation-duration: 3.9s;
    animation-duration: 3.9s;
}

.ring:nth-child(5) .ring__circles>span:nth-child(4) {
    -webkit-animation-delay: 1s;
    -moz-animation-delay: 1s;
    -ms-animation-delay: 1s;
    animation-delay: 1s;
    -webkit-animation-duration: 3.8s;
    -moz-animation-duration: 3.8s;
    -ms-animation-duration: 3.8s;
    animation-duration: 3.8s;
}

.ring:nth-child(5) .ring__circles>span:nth-child(5) {
    -webkit-animation-direction: reverse;
    -moz-animation-direction: reverse;
    -ms-animation-direction: reverse;
    animation-direction: reverse;
    -webkit-animation-delay: 1.2s;
    -moz-animation-delay: 1.2s;
    -ms-animation-delay: 1.2s;
    animation-delay: 1.2s;
    -webkit-animation-duration: 3.7s;
    -moz-animation-duration: 3.7s;
    -ms-animation-duration: 3.7s;
    animation-duration: 3.7s;
}

.ring:nth-child(6) .ring__circles>span:nth-child(1) {
    -webkit-animation-duration: 4.6s;
    -moz-animation-duration: 4.6s;
    -ms-animation-duration: 4.6s;
    animation-duration: 4.6s;
}

.ring:nth-child(6) .ring__circles>span:nth-child(2) {
    -webkit-animation-direction: reverse;
    -moz-animation-direction: reverse;
    -ms-animation-direction: reverse;
    animation-direction: reverse;
    -webkit-animation-delay: 0.9s;
    -moz-animation-delay: 0.9s;
    -ms-animation-delay: 0.9s;
    animation-delay: 0.9s;
    -webkit-animation-duration: 4.3s;
    -moz-animation-duration: 4.3s;
    -ms-animation-duration: 4.3s;
    animation-duration: 4.3s;
}

.ring:nth-child(6) .ring__circles>span:nth-child(3) {
    -webkit-animation-delay: 1.1s;
    -moz-animation-delay: 1.1s;
    -ms-animation-delay: 1.1s;
    animation-delay: 1.1s;
    -webkit-animation-duration: 4s;
    -moz-animation-duration: 4s;
    -ms-animation-duration: 4s;
    animation-duration: 4s;
}

.ring:nth-child(6) .ring__circles>span:nth-child(4) {
    -webkit-animation-direction: reverse;
    -moz-animation-direction: reverse;
    -ms-animation-direction: reverse;
    animation-direction: reverse;
    -webkit-animation-delay: 1.3s;
    -moz-animation-delay: 1.3s;
    -ms-animation-delay: 1.3s;
    animation-delay: 1.3s;
    -webkit-animation-duration: 3.7s;
    -moz-animation-duration: 3.7s;
    -ms-animation-duration: 3.7s;
    animation-duration: 3.7s;
}

.ring:nth-child(6) .ring__circles>span:nth-child(5) {
    -webkit-animation-delay: 1.5s;
    -moz-animation-delay: 1.5s;
    -ms-animation-delay: 1.5s;
    animation-delay: 1.5s;
    -webkit-animation-duration: 3.4s;
    -moz-animation-duration: 3.4s;
    -ms-animation-duration: 3.4s;
    animation-duration: 3.4s;
}

.ring svg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.ring svg stop {
    -webkit-transition: 0.45s cubic-bezier(0.165, 0.84, 0.44, 1);
    -ms-transition: 0.45s cubic-bezier(0.165, 0.84, 0.44, 1);
    transition: 0.45s cubic-bezier(0.165, 0.84, 0.44, 1);
}

.ring circle {
    /* fill: transparent; */
    stroke-width: 1px;
}

.ring:hover .ring__text i {
    color: #ff9800;
}

.ring:hover svg stop:nth-child(1) {
    stop-color: transparent;
}

.ring:hover svg stop:nth-child(2) {
    stop-color: transparent;
}

.ring.ring--xxs {
    width: 80px;
    height: 80px;
}

.ring.ring--xxs .ring__text i {
    font-size: 30px;
}

.ring.ring--xxs.disabled .ring__text {
    opacity: 0.2;
}

.ring.ring--xxs:not(.disabled) .ring__circles>span:nth-child(2)>span {
    -webkit-transform: translate(-3px, -4px);
    -ms-transform: translate(-3px, -4px);
    transform: translate(-3px, -4px);
}

.ring.ring--xxs:not(.disabled) .ring__circles>span:nth-child(3)>span {
    -webkit-transform: translate(2px, -5px);
    -ms-transform: translate(2px, -5px);
    transform: translate(2px, -5px);
}

.ring.ring--xxs:not(.disabled) .ring__circles>span:nth-child(4)>span {
    -webkit-transform: translate(-2px, -5px);
    -ms-transform: translate(-2px, -5px);
    transform: translate(-2px, -5px);
}

.ring.ring--xxs:not(.disabled) .ring__circles>span:nth-child(5)>span {
    -webkit-transform: translate(-3px, -3px);
    -ms-transform: translate(-3px, -3px);
    transform: translate(-3px, -3px);
}

@-webkit-keyframes rotate360 {
    to {
        -webkit-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@-moz-keyframes rotate360 {
    to {
        -webkit-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@keyframes rotate360 {
    to {
        -webkit-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@-webkit-keyframes circle-position {
    to {
        opacity: 1;
        -webkit-transform: translate(0);
        -ms-transform: translate(0);
        transform: translate(0);
    }
}

@-moz-keyframes circle-position {
    to {
        opacity: 1;
        -webkit-transform: translate(0);
        -ms-transform: translate(0);
        transform: translate(0);
    }
}

@keyframes circle-position {
    to {
        opacity: 1;
        -webkit-transform: translate(0);
        -ms-transform: translate(0);
        transform: translate(0);
    }
}

.circle1 {
    stroke: url(#circle1);
}

.circle2 {
    stroke: url(#circle2);
}

.circle3 {
    stroke: url(#circle3);
}

.circle4 {
    stroke: url(#circle4);
}

.circle5 {
    stroke: url(#circle5);
}

.circle6 {
    stroke: url(#circle6);
}

@media (max-height: 600px) {
    .ring__container {
        max-width: 500px;
    }
    .ring__container .ring .ring__text i {
        font-size: 32px;
    }
    .ring__container .ring:nth-child(1) {
        width: 225px;
        height: 225px;
        margin-left: 7px;
    }
    .ring__container .ring:nth-child(2) {
        width: 140px;
        height: 140px;
        margin-top: -204px;
        margin-left: 235px;
    }
    .ring__container .ring:nth-child(3) {
        width: 150px;
        height: 150px;
        margin-top: -50px;
    }
    .ring__container .ring:nth-child(4) {
        width: 125px !important;
        height: 125px !important;
        margin-top: -93px !important;
        margin-left: 231px !important;
    }
    .ring__container .ring:nth-child(5) {
        width: 150px;
        height: 150px;
        margin-top: -32px;
        margin-left: 123px;
    }
    .ring__container .ring:nth-child(6) {
        width: 130px;
        height: 130px;
        margin-top: -189px;
    }
    .ring__container.ring-num-5 .ring:nth-child(5) {
        margin-top: -71px;
        margin-left: 91px;
    }
}

@media screen and (max-width:768px) {
    .ring__container .ring:nth-child(1) {
        width: 225px;
        height: 225px;
        margin: auto;
    }
    .ring__container .ring:nth-child(2) {
        width: 250px;
        height: 250px;
        margin: auto;
    }
    .ring__container .ring:nth-child(3) {
        width: 150px;
        height: 150px;
        margin: auto;
    }
    .ring__container .ring:nth-child(4) {
        width: 125px !important;
        height: 125px !important;
        margin: auto;
    }
    .ring__container .ring:nth-child(5) {
        width: 150px;
        height: 150px;
        margin: auto;
    }
    .ring__container .ring:nth-child(6) {
        width: 130px;
        height: 130px;
        margin: auto;
    }
}

.fullview {
    opacity: 0;
    position: fixed;
    transition: opacity 1s, width 1s, height 1s;
    width: 0;
    height: 0;
}

.r1 {
    background-color: #e83531;
}

.r2 {
    background-color: #a13697;
}

.r3 {
    background-color: #2a97e0;
}

.r4 {
    background-color: #e62893;
}

.r5 {
    background-color: #90d41a;
}


/* .r1 {
    background-color: #e83531;
}

.r2 {
    background-color: #a13697;
}

.r3 {
    background-color: #000;
}

.r4 {
    background-color: #e62893;
}

.r5 {
    background-color: #90d41a;
} */


/* .r1,
.r2,
.r3,
.r4,
.r5,
.r6 {
    background-color: #2a97e0;
} */


/* .rx {
    background-color: #2a97e0;
    opacity: 0;
    transition: opacity 1s;
    position: absolute;
    width: 0;
    height: 0;
    transition: width 1s, height 1s, opacity 1s;
} */

.r1,
.r2,
.r3,
.r4,
.r5,
.r6 {
    opacity: 0;
    transition: opacity 1s;
    position: absolute;
    width: 0;
    height: 0;
    transition: width 1s, height 1s, opacity 1s;
}

.fullview.show {
    opacity: 1;
    width: 100%;
    height: 100%;
    z-index: 1000;
    top: 0;
    left: 0;
    transition: opacity 1s;
}

.fullview.show .r1,
.fullview.show .r2,
.fullview.show .r3,
.fullview.show .r4,
.fullview.show .r5,
.fullview.show .r6 {
    opacity: 0;
    width: 100%;
    height: 100%;
    z-index: 1000;
    top: 0;
    left: 0;
    transition: opacity 1s;
    display: none;
}

.fullview.show .rx {
    opacity: 0;
    width: 100%;
    height: 100%;
    z-index: 1000;
    top: 0;
    left: 0;
    transition: opacity 1s;
}

.popupopened {
    overflow: hidden;
    transition: opacity 1s;
}

.close-button {
    background: transparent;
    height: 60px;
    position: absolute;
    right: 34px;
    top: 25px;
    width: 60px;
    border: 0;
    z-index: 1001;
    cursor: pointer;
}

.close-button:hover line {
    stroke: #fff;
}

.close-button line {
    stroke: #fff006;
}

.close-button circle {
    stroke: #fff006;
}

button:focus {
    outline: none;
}